Bug 104141 - FILEOPEN: PPT: .gif transparent background is imported as white (gtk3)
Summary: FILEOPEN: PPT: .gif transparent background is imported as white (gtk3)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: high normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.0.0 target:5.4.2
Keywords:
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2016-11-24 10:39 UTC by Xisco Faulí
Modified: 2017-10-04 08:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (269.00 KB, application/vnd.ms-powerpoint)
2016-11-24 10:39 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2016-11-24 10:39:28 UTC
Created attachment 128987 [details]
sample

Steps to reproduce:
1. Open attached document

Observed behaviour: .gif's background is white

Reproduced in

Version: 5.3.0.0.alpha1+
Build ID: 4ebf1ea7cb66fc3e6b94cd38dd233aaead69f3d5
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; Layout Engine: old; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

but not in

Version: 5.0.0.0.alpha1+
Build ID: 0db96caf0fcce09b87621c11b584a6d81cc7df86
Locale: ca-ES (ca_ES.UTF-8)
Comment 1 Telesto 2016-11-24 12:49:12 UTC
No repro with:
Version: 5.3.0.0.alpha1+ (x64)
Build ID: 3d43a7971a4aa7e17a690b0fc2de3fa0571fc082
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2016-11-22_23:18:28
Locale: nl-NL (nl_NL); Calc: CL
Comment 2 Joel Madero 2016-11-25 05:05:59 UTC
Version: 5.4.0.0.alpha0+
Build ID: 8a279d7de4cf94c99f655f6edd0da0c24ab4003c
CPU Threads: 2; OS Version: Linux 4.4; UI Render: default; VCL: gtk3; Layout Engine: new; 
Locale: en-US (en_US.UTF-8); Calc: single

Confirmed.
Comment 3 thackert 2016-11-25 10:10:17 UTC
Hello Xisco, *,
not sure which colour the background should have, but if I open it with

OS: Debian Testing AMD64
LO: Version: 5.3.0.0.beta1
Build-ID: 690f553ecb3efd19143acbf01f3af4e289e94536
CPU-Threads: 4; BS-Version: Linux 4.5; UI-Render: Standard; VCL: gtk2; Layout-Engine: neu; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group
(parallel installed, following the instruction from https://wiki.documentfoundation.org/Installing_in_parallel/Linux)

the background is blue (also in presentation mode). If this is the right background colour, it would be nice if you could give it a try again with 5.3.0.0.beta1 ... ;)
HTH
Thomas.
Comment 4 Buovjaga 2016-11-25 12:56:00 UTC
(In reply to thackert from comment #3)
> CPU-Threads: 4; BS-Version: Linux 4.5; UI-Render: Standard; VCL: gtk2;

This depends on gtk3.

Try launching from the command line with

SAL_USE_VCLPLUGIN=gtk3 ./soffice

I confirm only with gtk3

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: f1eb0bf75296ee9c59241507a1e03f4de770afa1
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; Layout Engine: new; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on November 25th 2016
Comment 5 Xisco Faulí 2016-11-25 14:14:18 UTC
This is probably not a regression as GTK3 wasn't supported back in 5.0.0.0.alpha1+
Comment 6 thackert 2016-11-26 10:13:56 UTC
Hello Buovjaga, *,
(In reply to Buovjaga from comment #4)
> (In reply to thackert from comment #3)
> > CPU-Threads: 4; BS-Version: Linux 4.5; UI-Render: Standard; VCL: gtk2;
> 
> This depends on gtk3.

O.K.

> Try launching from the command line with
> 
> SAL_USE_VCLPLUGIN=gtk3 ./soffice
> 
> I confirm only with gtk3

Did it. With

OS: Debian Testing AMD64

LO still shows

<quote>
Version: 5.3.0.0.beta1
Build-ID: 690f553ecb3efd19143acbf01f3af4e289e94536
CPU-Threads: 4; BS-Version: Linux 4.5; UI-Render: Standard; VCL: gtk2; Layout-Engine: neu; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group
</quote>

... :( Is this a bug or a feature?
Have a nice day
Thomas.
Comment 7 Buovjaga 2016-11-26 12:04:48 UTC
(In reply to thackert from comment #6)
> > Try launching from the command line with
> > 
> > SAL_USE_VCLPLUGIN=gtk3 ./soffice
> > 
> > I confirm only with gtk3
> 
> Did it. With
> 
> OS: Debian Testing AMD64
> 
> LO still shows
> 
> <quote>
> Version: 5.3.0.0.beta1
> Build-ID: 690f553ecb3efd19143acbf01f3af4e289e94536
> CPU-Threads: 4; BS-Version: Linux 4.5; UI-Render: Standard; VCL: gtk2;
> Layout-Engine: neu; 
> Gebietsschema: de-DE (de_DE.UTF-8); Calc: group
> </quote>
> 
> ... :( Is this a bug or a feature?
> Have a nice day
> Thomas.

It is a feature. Beta1 is not built with gtk3 support. It has been built with --disable-gtk3

You would have to build your own, but it's fine as I already confirmed.
Comment 8 Commit Notification 2017-07-26 15:59:44 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d148340babf6c973f7d463909d7a51e16c953248

Resolves: tdf#104141 CAIRO_FORMAT_A1 vs N1BitLsbPal

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-09-15 19:08:31 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=06530418dbb3ac41d671efed87d54434d19f0569&h=libreoffice-5-4

Resolves: tdf#104141 CAIRO_FORMAT_A1 vs N1BitLsbPal

It will be available in 5.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2017-10-04 08:47:26 UTC
Verified in

Version: 6.0.0.0.alpha0+
Build ID: 6e3e4cd38b56d432c48cd7217885974e3f0519fd
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group